GET api/SocialHistoryDrugs?externalId={externalId}
Gets information about a drug use entry.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| externalId |
Unique ID of drug abuse entry on integrating system. |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
SocialHistoryDrugModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Name |
Name of the social history drug (Required). |
string |
None. |
| IsDefault |
Indicates if this social history drug is the default or not (Required). |
boolean |
None. |
| SortOrder |
Indicates the sort order of this social history drug in the list (Required). |
integer |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"name": "sample string 1",
"isDefault": true,
"sortOrder": 3,
"id": "35c62114-02a6-4569-be58-c4f30a347070",
"externalId": "sample string 5"
}
application/xml, text/xml
Sample:
<SocialHistoryDrugModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.SocialHistoryDrugs"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">35c62114-02a6-4569-be58-c4f30a347070</Id> <IsDefault>true</IsDefault> <Name>sample string 1</Name> <SortOrder>3</SortOrder> </SocialHistoryDrugModel>